4Suite™ API Documentation

# ► Module Ft.Xml.Xslt.HtmlWriter

HTML writer for XSLT processor output

    Copyright 2005 Fourthought, Inc. (USA).
    Detailed license and copyright information: http://4suite.org/COPYRIGHT
    Project home, documentation, distributions: http://4suite.org/

Classes: HtmlWriter |  |  |  | Globals: EMPTY_NAMESPACE

## Classes

class HtmlWriter(Ft.Xml.Xslt.XmlWriter.XmlWriter)
  Takes events such as those generated by an XSLT processor and invokes a serializer to produce HTML. Uses XML syntax for elements in a non-empty namespace. Instructs the serializer to insert a Content-Type 'meta' element in the first 'head' element.

  ### Methods

  startDocument(self)
    Overrides: startDocument from class XmlWriter

  ### Methods inherited from class Ft.Xml.Xslt.XmlWriter.XmlWriter

  __init__, attribute, changePrefix, comment, endDocument, endElement, getStream, matchesGeneratedPrefix, namespace, processingInstruction, startElement, text

  ### Methods inherited from class Ft.Xml.Xslt.NullWriter.NullWriter

  copyNodes, getMediaType, getResult

  ### Members inherited from class Ft.Xml.Xslt.XmlWriter.XmlWriter

  GENERATED_PREFIX

## Globals

EMPTY_NAMESPACE = None